-Fixed errors in unzip and libmng for x86_64.
authorgobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Tue, 6 Jul 2010 04:19:44 +0000 (04:19 +0000)
committergobo72 <gobo72@364a67c3-989e-7be9-548d-dae8560ea662>
Tue, 6 Jul 2010 04:19:44 +0000 (04:19 +0000)
-Temporarily removed CVS from stage3 as there is a conflict when
compiling it with glibcs version of getline.
-Added missing Perl module generic install script.

stage3/cis-libmng
stage3/cis-pm [new file with mode: 0755]
stage3/cis-unzip
stage3/stage3-install

index 28953e7..f161e60 100755 (executable)
@@ -8,19 +8,31 @@ source ../sysinfos
 source ../functions
 source ../packages-list
 
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
 # Applying patches (if any)
-apply_patches ${1}
+apply_patches ${PACKAGE}
 
-cd ${LFS_TMP}/${1}
+cd ${LFS_TMP}/${PACKAGE}
 cp makefiles/makefile.linux Makefile
+
+case "${HVL_TARGET}" in
+    "x86_64")
+        # -fPIC is required for x86_64
+        sed -i -e "s!^CFLAGS=!CFLAGS=-fPIC !" Makefile
+        ;;
+esac
+
 make prefix=/usr install
 
 # The documentation files are not installed by the installation procedure,
 # so they are copied manually.
 install -v -m644 doc/man/*.3 /usr/share/man/man3
 install -v -m644 doc/man/*.5 /usr/share/man/man5
-install -v -m755 -d /usr/share/doc/${1}
-install -v -m644 doc/*.{png,txt} /usr/share/doc/${1}
+install -v -m755 -d /usr/share/doc/${PACKAGE}
+install -v -m644 doc/*.{png,txt} /usr/share/doc/${PACKAGE}
 
 ldconfig
 
diff --git a/stage3/cis-pm b/stage3/cis-pm
new file mode 100755 (executable)
index 0000000..ace1555
--- /dev/null
@@ -0,0 +1,27 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+cd ${LFS_TMP}/${PACKAGE}
+# The option "-n" is used to avoid having to answer a question and accept the
+# default configuration.
+perl Makefile.PL -n ${CONFIGURE_OPTS}
+make
+make install
+ldconfig
+
+exit $?
index 107b4cb..24295b2 100755 (executable)
@@ -8,13 +8,24 @@ source ../sysinfos
 source ../functions
 source ../packages-list
 
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
 # Applying patches (if any)
-apply_patches ${1}
+apply_patches ${PACKAGE}
+
+case "${HVL_TARGET}" in
+    "x86_64")
+        UNZIP_TARGET=linux_noasm
+        ;;
+    *)
+        UNZIP_TARGET=linux
+esac
 
-cd ${LFS_TMP}/${1}
-make -f unix/Makefile LOCAL_UNZIP=-D_FILE_OFFSET_BITS=64 linux
+cd ${LFS_TMP}/${PACKAGE}
+make -f unix/Makefile LOCAL_UNZIP=-D_FILE_OFFSET_BITS=64 ${UNZIP_TARGET}
 make prefix=/usr install
 ldconfig
 
-# Return last error
 exit $?
index 0bf2c00..5c0f6b1 100755 (executable)
@@ -85,7 +85,7 @@ ipkg_ac    ${BC} --with-readline
 INIT_D_PATH=/etc/rc.d/init.d \
     ipkg_ac_nb ${FUSE}
 ipkg_cust  ${DOSFSTOOLS} cis-dosfstools
-ipkg_ac    ${CVS} --disable-server
+#ipkg_ac    ${CVS} --disable-server
 ipkg_cust  ${GIT} cis-git
 
 # Perl modules